* ITSP 6.5 -

use airquality, clear
// estimate with OLS
qui regress so2 pop manuf wind 
mfx compute, eyex
matrix nu =  e(Xmfx_eyex)
estadd scalar nu = nu[1, 1]
matrix nuse = e(Xmfx_se_eyex)
estadd scalar nuse = nuse[1, 1]
estimates store one
// reestimate using IV
qui ivregress 2sls so2 (pop = temp precip) manuf wind
mfx compute, eyex
matrix nu =  e(Xmfx_eyex)
estadd scalar nu = nu[1, 1]
matrix nuse = e(Xmfx_se_eyex)
estadd scalar nuse = nuse[1, 1]
estimates store two

esttab one two, mtitles("OLS" "IV") stat(nu nuse, labels("Elas.(pop)" "SE"))

qui summarize so2, detail
generate hiso2 = (so2 > r(p50)) & !missing(so2)
summarize precip, meanonly
generate hiprecip = (precip > r(mean)) & !missing(precip)
qui probit hiso2 pop manuf
mfx compute
estimates store three
qui probit hiso2 pop manuf hiprecip
mfx compute
estimates store four

esttab three four, margin
