* itsp ch7.00 - 7.10

use bpress, clear
bysort sex agegrp: summarize bp

use bpress, clear
xi: regress bp i.agegrp i.sex

xi: regress bp i.agegrp*i.sex

xi: regress bp i.agegrp*bp0

statsby mean=r(mean) sd=r(sd) n=r(N), by(agegrp sex) saving(bpstats, replace): summarize bp
use bpstats, clear
list, sepby(agegrp)

use ibm, clear
rolling _b _se, window(90) saving(capm, replace) nodots: qreg ibm spx

use capm, clear
label var _b_spx "quantile reg IBM beta"
label var end "date"
list in 1/5

tsset end
format end %tdMonYY
tsline _b_spx, yline(1) saving(fig7_1, replace) scheme(s2mono)

program drop _all
type simpctile.ado

clear
set seed 2007062926
simulate p25=r(p25) p50=r(p50) p75=r(p75), reps(1000) nodots ///
         saving(pctiles, replace): simpctile

// set obs 1000

use pctiles, clear
summarize
label var p50 "Sample median"
histogram p50, normal saving(fig7_2, replace) scheme(s2mono)

use bpress, clear
set seed 2007062926
ttest bp, by(sex)
bootstrap diff=(r(mu_1) - r(mu_2)), nodots: ttest bp, by(sex)

use pctiles, clear
qnorm p50, saving(fig7_3, replace) scheme(s2mono)
