* itsp ch9.09 - ch9.11

use firmstats2, clear
label var p50 "Median investment"
label var beta_k "beta(lagged kstock)"
graph bar p50, over(compname) scheme(s2mono) nodraw horiz name(fig9_2aa,replace)
graph dot beta_k, over(compname) scheme(s2mono) nodraw name(fig9_2bb,replace) yline(0)
graph combine fig9_2aa fig9_2bb, col(2) ti("Firm statistics") 

textbarplot compname p50,  ///
scheme(s2mono) nodraw name(fig9_2a,replace)
textbarplot compname beta_k, recast(dot) xline(0) ///
scheme(s2mono) nodraw name(fig9_2b,replace)
graph combine fig9_2a fig9_2b, col(2) ti("Firm statistics")

sysuse auto, clear
char make[varname] "modle"
char price[varname] "prix"
char weight[varname] "poids"
char length[varname] "longueur"

list make price weight length in 1/10, sep(0)
list make price weight length in 1/10, sep(0) subvarname


/* 
label var r_invest "Corr(invest,invbar)"
label var r_kap "Corr(kstock,kbar)"
textbarplot compname r_invest, recast(dot)  ///
scheme(s2mono) name(fig9_2b,replace)
textbarplot compname r_k, recast(dot)  ///
scheme(s2mono) name(fig9_2c,replace)
*/
