* ITSP 14.9

program drop _all

type mygmm2s.ado

set matastrict on
do m_mygmm2s.mata

type m_mygmm2s.mata

do m_myomega.mata

type m_myomega.mata

type mygmmcue.ado

do m_mygmmcue.mata

type m_mygmmcue.mata

do m_mycuecrit.mata

type m_mycuecrit.mata

set matastrict on
do m_mygmm2s.mata
do m_myomega.mata
do m_mygmmcue.mata
do m_mycuecrit.mata

cscript mygmm2s adofile mygmm2s
*mata: mata clear
*program drop _all
// use http://fmwww.bc.edu/ec-p/data/hayashi/griliches76.dta, clear
use griliches76, clear
quietly ivreg2 lw s expr tenure rns smsa  (iq=med kww age mrt), gmm2s 
savedresults save ivhomo e()
mygmm2s lw, endog(iq) inexog(s expr tenure rns smsa) ///
            exexog(med kww age mrt)
savedresults compare ivhomo e(), include(macros: depvar scalar: N j matrix: b V) ///
             tol(1e-7) verbose

quietly ivreg2 lw s expr tenure rns smsa  (iq=med kww age mrt), gmm2s robust
savedresults save ivrobust e()
quietly mygmm2s lw, endog(iq) inexog(s expr tenure rns smsa) ///
                    exexog(med kww age mrt) robust
savedresults compare ivrobust e(), include(macros: depvar scalar: N j matrix: b V) /// 
             tol(1e-7) verbose

cscript mygmmcue adofile mygmmcue
*mata: mata clear
*program drop _all
set rmsg on
use griliches76, clear
quietly ivreg2 lw s expr tenure rns smsa  (iq=med kww age mrt), cue 
savedresults save ivreg2cue e()
mygmmcue lw, endog(iq) inexog(s expr tenure rns smsa) ///
            exexog(med kww age mrt)
savedresults compare ivreg2cue e(), include(macros: depvar scalar: N j matrix: b V) ///
             tol(1e-4) verbose
             
quietly ivreg2 lw s expr tenure rns smsa  (iq=med kww age mrt), cue robust
savedresults save ivreg2cue e()
mygmmcue lw, endog(iq) inexog(s expr tenure rns smsa) ///
            exexog(med kww age mrt) robust
savedresults compare ivreg2cue e(), include(macros: depvar scalar: N j matrix: b V) ///
             tol(1e-4) verbose
