* tipBizday
// cd /Users/baum/doc/Stata/sjlatex/
capture erase bizday1.log
capture erase bizday1.log.tex
clear
freduse DTB3
rename daten caldate
tsset caldate
keep if tin(1aug2005,)
label var caldate date
// tsline DTB3

capture erase bizday2.log
capture erase bizday2.log.tex
quietly generate byte notmiss = DTB3 < .
quietly generate seqdate = cond(notmiss,sum(notmiss),.)
tsset seqdate

capture erase bizday3.log
capture erase bizday3.log.tex
quietly generate dDTB3 = D.DTB3
label var dDTB3 "Daily change in 3-mo Treasury rate"
tsset caldate
tsline dDTB3, yline(0) scheme(s2mono)

capture erase bizday4.log
capture erase bizday4.log.tex
tsset seqdate
quietly generate dcal = D.caldate if seqdate < .
quietly generate month = mofd(caldate) if seqdate < .
format %tm month 
sort month (seqdate)
quietly by month: generate adjchange = sum(dDTB3/sqrt(dcal))
quietly by month: generate sumchange = adjchange if _n==_N & !missing(month)
list month sumchange if sumchange < ., sep(0) noobs







